<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/Authorization Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.8.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d21bd5e016211b076c409017a0e634a4.html">Authorization</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Authorization Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for Authorization:</div>
<div class="dyncontent">
<div class="center"><img src="dir_d21bd5e016211b076c409017a0e634a4_dep.png" border="0" usemap="#dir__d21bd5e016211b076c409017a0e634a4__dep" alt="/private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/Authorization"/></div>
<map name="dir__d21bd5e016211b076c409017a0e634a4__dep" id="dir__d21bd5e016211b076c409017a0e634a4__dep">
<area shape="rect" id="node2" href="dir_6bef8e5d89a136eb38670596d28d1118.html" title="CBLAuthDelegate" alt="" coords="51,27,179,75"/>
<area shape="rect" id="node3" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html" title="Storage" alt="" coords="5,123,77,171"/>
<area shape="rect" id="edge3-headlabel" href="dir_000042_000240.html" title="3" alt="" coords="74,106,82,120"/>
<area shape="rect" id="node4" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="64,219,165,267"/>
<area shape="rect" id="edge4-headlabel" href="dir_000042_000009.html" title="18" alt="" coords="116,194,131,207"/>
<area shape="rect" id="node5" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="151,123,297,171"/>
<area shape="rect" id="edge5-headlabel" href="dir_000042_000231.html" title="1" alt="" coords="185,97,192,111"/>
<area shape="rect" id="edge1-headlabel" href="dir_000240_000009.html" title="12" alt="" coords="84,192,99,205"/>
<area shape="rect" id="edge2-headlabel" href="dir_000231_000009.html" title="9" alt="" coords="158,206,165,220"/>
<area shape="rect" id="clust1" href="dir_d21bd5e016211b076c409017a0e634a4.html" alt="" coords="40,16,312,85"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_6bef8e5d89a136eb38670596d28d1118"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_6bef8e5d89a136eb38670596d28d1118.html">CBLAuthDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.8.1 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
